<template>
  <div>
    <span v-for="validation in validations" :key="validation.label" style="margin-left: 15px;">
      <v-tooltip v-if="validation.isVerified && validation.validator != ''" top>
        <template v-slot:activator="{ on }">
          <v-chip
            :color="validation.color"
            :outlined="!validation.isVerified"
            :text-color="validation.isVerified ? 'white' : validation.color"
            :class="{ 'px-5': !validation.isVerified }"
            v-on="on"
          >
            <v-avatar v-if="validation.isVerified" left>
              <v-icon>mdi-checkbox-marked-circle</v-icon>
            </v-avatar>
            {{ validation.label }}
          </v-chip>
        </template>
        <span>By {{ validation.label }}</span>
      </v-tooltip>
      <v-chip
        v-else-if="validation.isVerified"
        :color="validation.color"
        :outlined="!validation.isVerified"
        :text-color="'white'"
        :class="{ 'px-5': !validation.isVerified }"
      >
        <v-avatar v-if="validation.isVerified" left>
          <v-icon>mdi-checkbox-marked-circle</v-icon>
        </v-avatar>
        {{ validation.label }}
      </v-chip>
      <v-chip
        v-else
        :color="validation.color"
        :outlined="!validation.isVerified"
        :text-color="validation.color"
        :class="{ 'px-5': !validation.isVerified }"
      >
        {{ validation.label }}
      </v-chip>
    </span>
  </div>
</template>

<script>
export default {
  props: {
    items: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    validations() {
      const { isVerifiedByTL, isVerifiedBySPV, isVerifiedByLC } = this.items
      return {
        isVerifiedTL: {
          label: 'Team Leader',
          color: '#C30B15',
          isVerified: isVerifiedByTL
        },
        isVerifiedSPV: {
          label: 'Supervisor',
          color: '#D4671B',
          isVerified: isVerifiedBySPV
        },
        isVerifiedLC: {
          label: 'Line Control',
          color: '#4AB1B7',
          isVerified: isVerifiedByLC
        }
      }
    }
  }
}
</script>
